# zcash-haskell

A Haskell library to interact with the Zcash blockchain.

## Installation

- Install [Rust and Cargo](https://doc.rust-lang.org/cargo/getting-started/installation.html)
- Install `cbuild`:
	```
	cargo install cargo-c
	```
- Install `c2hs`:
	```
	stack install c2hs
	```
- Set up the paths to locate the static library:
	```
	./configure
	```
- Compile the Rust and Haskell portions:
	```
	cabal build
	```

## Use

Add these dependencies to your `stack.yaml`:

```
  - git: https://git.vergara.tech/Vergara_Tech/zcash-haskell.git
    commit: fef3d3af35a09db718cddb8fc9166b2d2691a744
  - git: https://git.vergara.tech/Vergara_Tech/haskell-foreign-rust.git
    commit: 787c2e813eb3a5d16c375d4b37dfefbd2adcdf05
  - git: https://github.com/well-typed/borsh.git
    commit: d2fcfa159e0a844b1ec5e8ed3e232d4b380fa831
  - aeson-2.1.2.1@sha256:5b8d62a60963a925c4d123a46e42a8e235a32188522c9f119f64ac228c2612a7,6359
  - vector-0.13.0.0@sha256:fa5cac81a17a5af388716792e8b99c24b3b66770086756d0d8b23f8272a0244c,9112
```

Add `zcash-haskell` to your `package.yaml` as needed.
